---
title: "Get a specific Entitlement."
slug: "get-a-specific-entitlement-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/get-a-specific-entitlement-1"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get a specific Entitlement.
Get/entitlements/{id}
Get a specific Entitlement.
SecurityHTTPType bearer
Path parametersidstring (uuid) Required
ID of the object.
Example12699e27-b584-464a-81ee-5b4784b6d425
Responses200
Single Entitlement.
Expand Allobject idstring (uuid)
ID of the object.
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring
Name of the object.
Exampleobject
notesstring
Notes for the object. Used for documentation purposes.
ExampleThis object has been created for test purposes.
createdstring (date-time)
Create date.
updatedstring (date-time)
Last update date.
tags Array of string
Array of tags.
Example[
"developer",
"api-created"
]string
disabledboolean
If true, the Entitlement will be disregarded during authorization.
Defaultfalse
sitestring (uuid)
ID of the Site for this Entitlement.
Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
siteNamestring
Name of the Site for this Entitlement. For convenience only.
ExampleDefault Site
riskSensitivitystring Deprecated
Generate Conditions for the Entitlement based on the Risk Model. Cannot be combined with other Conditions. Deprecated as of 6.5. Please use Conditions instead.
Valid values[
"Low",
"Medium",
"High"
]
conditionLogicstring
Whether all the Conditions must succeed to have access to this Entitlement or just one.
Valid values[
"and",
"or"
]Default"and"
conditions Array of string
List of Condition IDs applies to this Entitlement.
string (uuid) Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
actions Array of object
List of all IP Access actions in this Entitlement.
object
IP Access action.
subtypestring
Type of the IP Access action. Required unless the action is exclude.
Valid values[
"icmp_up",
"icmp_down",
"icmpv6_up",
"icmpv6_down",
"udp_up",
"udp_down",
"tcp_up",
"tcp_down",
"ah_up",
"ah_down",
"esp_up",
"esp_down",
"gre_up",
"gre_down",
"http_up"
]
actionstring
Applied action to the traffic.
Valid values[
"allow",
"block",
"alert",
"exclude"
]
hosts Array of string
Hosts to apply the action to. See admin manual for possible values.
Example[
"10.0.0.1",
"10.0.0.0/24",
"hostname.company.com",
"dns://hostname.company.com",
"aws://security-group:accounting"
]string
ports Array of string
Destination port. Multiple ports can be entered comma separated. Port ranges can be entered dash separated. Only valid for tcp and udp subtypes
Example[
"80",
"1024-65535"
]string
types Array of string
ICMP type. Only valid for icmp subtypes.
Example[
"0-255"
]string
methods Array of string
HTTP method. Only valid for http subtypes. Leave it empty to allow all types.
string Valid values[
"GET",
"HEAD",
"POST",
"PUT",
"DELETE",
"CONNECT",
"OPTIONS",
"TRACE",
"PATCH",
"MKCOL",
"COPY",
"MOVE",
"PROPFIND",
"PROPPATCH",
"LOCK",
"UNLOCK"
]
monitorobject
Only available for tcp_up and http_up subtypes. If enabled, Gateways will monitor this action for responsiveness and act accordingly. See admin manual for more details.
enabledboolean Defaultfalse
timeoutinteger
Number of seconds the action needs to be unresponsive to mark the action unhealthy.
Default30
appShortcuts Array of object (AppShortcut)
Array of App Shortcuts.
object
Publishes the configured URL as an app on the client using the display name as the app name.
namestring
Name for the App Shortcut which will be visible on the Client UI.
ExampleAccounting Software
descriptionstring
Description for the App Shortcut which will be visible on the Client UI.
ExampleThis app will get you to the Accounting Software.
urlstring
The URL that will be triggered on the OS to be handled. For example, an HTTPS URL will start the browser for the given URL.
Examplehttps://service.company.com
colorCodeinteger
The code of the published app on the client.
- 1: Light Green
- 2: Green
- 3: Indigo
- 4: Deep Purple
- 5: Yellow
- 6: Lime
- 7: Light Blue
- 8: Blue
- 9: Amber
- 10: Orange
- 11: Cyan
- 12: Teal
- 13: Deep Orange
- 14: Red
- 15: Gray
- 16: Brown
- 17: Pink
- 18: Purple
- 19: Blue Gray
- 20: Near Black
Default1
groupNamestring
The group name this shortcut is to be grouped by
ExampleAccounting Applications
appShortcutScripts Array of string
List of Entitlement Script IDs used for creating App Shortcuts dynamically.
string (uuid) Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
401
Token error. Login again.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
403
Insufficient permissions to access this resource.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
404
The requested resource can not be found.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
406
Invalid 'Accept' header.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
500
Unexpected server side error.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.